Bug 5055 - xdm config files not installed into config dir
Summary: xdm config files not installed into config dir
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/xdm (show other bugs)
Version: 6.99.99.902 (7.0 RC2)
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Alan Coopersmith
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 1690
  Show dependency treegraph
 
Reported: 2005-11-15 09:44 UTC by Jeremy Katz
Modified: 2005-12-11 12:44 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
fix to install into the right location (7.67 KB, patch)
2005-11-15 09:45 UTC, Jeremy Katz
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Katz 2005-11-15 09:44:14 UTC
The xdm scripts (which are really just config files and should be architecture
independent) aren't properly installed into xdmconfigdir and are instead in
xdmlibdir.  Attached patch fixes.

This is also https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=173081
Comment 1 Jeremy Katz 2005-11-15 09:45:24 UTC
Created attachment 3803 [details] [review]
fix to install into the right location
Comment 2 Alan Coopersmith 2005-12-12 07:35:37 UTC
I'm not convinced they are config files, but since some people want to install
them in a different place, will add --with-xdmscriptsdir flag so it's up to the
builder to decide if they're configs, scripts or data.
Comment 3 Alan Coopersmith 2005-12-12 07:44:50 UTC
Committed to CVS head:

CVSROOT:	/cvs/xorg
Module name:	app
Changes by:	alanc@gabe.freedesktop.org	05/12/11 12:43:49

Log message:
  2005-12-11  Alan Coopersmith  <alan.coopersmith@sun.com>
  
  	* README:
  	* configure.ac:
  	* config/Makefile.am:
  	* config/xdm-config.cpp:
  	Bugzilla #5055 <https://bugs.freedesktop.org/show_bug.cgi?id=5055>
  	Add --with-xdmscriptdir to allow builder/packager to decide if
  	scripts should go in config, lib, or data directories.

Modified files:
      app/xdm/:
        ChangeLog README configure.ac 
      app/xdm/config/:
        Makefile.am 
  
  Revision      Changes    Path
  1.24          +10 -0     app/xdm/ChangeLog
  http://cvs.freedesktop.org/xorg/app/xdm/ChangeLog
  1.3           +4 -3      app/xdm/README
  http://cvs.freedesktop.org/xorg/app/xdm/README
  1.29          +6 -0      app/xdm/configure.ac
  http://cvs.freedesktop.org/xorg/app/xdm/configure.ac
  1.8           +6 -6      app/xdm/config/Makefile.am
  http://cvs.freedesktop.org/xorg/app/xdm/config/Makefile.am

CVSROOT:	/cvs/xorg
Module name:	xc
Changes by:	alanc@gabe.freedesktop.org	05/12/11 12:46:25

Log message:
  2005-12-11  Alan Coopersmith  <alan.coopersmith@sun.com>
  
  	* programs/xdm/config/xdm-conf.cpp:
  	Bugzilla #5055 <https://bugs.freedesktop.org/show_bug.cgi?id=5055>
  	Add XDMSCRIPTDIR cpp substitution to allow modular tree
  	builder/packager to decide if scripts should go in config, lib,
  	or data directories.

Modified files:
      ./:
        ChangeLog 
      xc/programs/xdm/config/:
        xdm-conf.cpp 
  
  Revision      Changes    Path
  1.1560        +8 -0      xc/ChangeLog
  http://cvs.freedesktop.org/xorg/xc/ChangeLog
  1.5           +10 -7     xc/programs/xdm/config/xdm-conf.cpp
  http://cvs.freedesktop.org/xorg/xc/programs/xdm/config/xdm-conf.cpp


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.